pcl::detail::Accumulators< PointT > Struct Template Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

using | type = typename boost::fusion::result_of::as_vector< typename boost::mpl::filter_view< boost::mpl::vector< AccumulatorXYZ, AccumulatorNormal, AccumulatorCurvature, AccumulatorRGBA, AccumulatorIntensity, AccumulatorLabel >, IsAccumulatorCompatible< PointT > > >::type

## Detailed Description

### template<typename PointT>
struct pcl::detail::Accumulators< PointT >

Definition at line 230 of file accumulators.hpp.

## Member Typedef Documentation

## type

template<typename PointT >

using pcl::detail::Accumulators< PointT >::type = typename boost::fusion::result_of::as_vector< typename boost::mpl::filter_view< boost::mpl::vector< AccumulatorXYZ , AccumulatorNormal , AccumulatorCurvature , AccumulatorRGBA , AccumulatorIntensity , AccumulatorLabel > , IsAccumulatorCompatible<PointT> > >::type

Definition at line 232 of file accumulators.hpp.

The documentation for this struct was generated from the following file:

- pcl/common/impl/accumulators.hpp